using EVCB_OCPP.Packet.Messages.RemoteTrigger;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.RemoteTrigger
{
    public class TriggerMessageFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.TriggerMessage.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(TriggerMessageConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(TriggerMessageRequest);
        }
    }
}
